Skip to main content
`Ctrl`+`K`

# PetscMallocViewSet

Activates logging of all calls to `PetscMalloc()` with a minimum size to view

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocViewSet(PetscLogDouble logmin)

Not Collective

## Input Parameter

- logmin - minimum allocation size to log, or `PETSC_DEFAULT` to log all memory allocations

## Options Database Keys

- -malloc_view optional filename - Activates `PetscMallocView()` in `PetscFinalize()`

- -malloc_view_threshold min - Sets a minimum size if `-malloc_view` is used

- -log_view_memory - view the memory usage also with the -log_view option

## Note

Must be called after `PetscMallocSetDebug()`

## Developer Notes

Uses `MPI_COMM_WORLD` to determine rank because PETSc communicators may not be available

## See Also

`PetscMallocViewGet()`, `PetscMallocDump()`, `PetscMallocView()`, `PetscMallocTraceSet()`, `PetscMallocValidate()`, `PetscMalloc()`, `PetscFree()`

## Level

advanced

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages